Thursday, February 17, 2011

Buy it last year

And throw it away this year.

All this shows to me that Apple does not take a good care on users who still use older models, models that still work without a problem otherwise. Look, I'm not asking here to support them by releasing new app or firmware versions for them. If anything, I'm asking for NO updates for these models! I'm asking to not break existing functionality. The App Store update got forced on us, without its engineers testing with the 3.1.2 firmware, and without ourselves being able to go to a previous version! Apple should have had some sort of mechanism to not suggest/push/force updates of apps that either are not compatible, or were merely never tested with 3.1.x.

One good way to sell new product - break the old product! The lightbulb companies are perhaps the best at this, I guess Apple is still learning.


Comments: Post a Comment

<< Home

This page is powered by Blogger. Isn't yours?